## AB-INITIO WORKFLOW

```mermaid
flowchart TD
    classDef parameters fill:#f96;
    p0((genome))
    p3{Distribute}
    p4{Distribute}
    p100((abInitio\nEvidences))
    p8[buildOverlappingSequences:LIPMUTILS_fasta2overlappingwins]
    p9[buildOverlappingSequences:LIPMUTILS_fasta2tree]
    p13[buildLargeOverlappingSequences:LIPMUTILS_fasta2overlappingwins]
    p14[buildLargeOverlappingSequences:LIPMUTILS_fasta2tree]
    p0 --> p8:::parameters --> p9 --> p3
    p0 --> p13:::parameters --> p14 --> p4
    p17[GENOMETOOLS_ltrharvest]
    p20[EGNPCORE_changeGff3CoordinatesBatch]
    p21[GENOMETOOLS_sortGff3]
    p28[EGNPCORE_PublishEvidences_ltrharvest]
    p4 --> p17:::parameters --> p20 --> p21 --> p28
    p30[RED_scan]
    p32[BEDTOOLS_mergeBed]
    p34[BEDTOOLS_minLengthFilter]
    p35[LIPMUTILS_splitBed]
    p40[LIPMUTILS_bedToGff3]
    p47[EGNPCORE_PublishEvidences_red]
    p0 --> p30:::parameters --> p32:::parameters --> p34:::parameters --> p35 --> p40 --> p47
    p51[TRNASCANSE_trnascanSE]
    p54[EGNPCORE_changeGff3CoordinatesBatch]
    p55[GENOMETOOLS_sortGff3]
    p57[EGNPCORE_splitByStrand]
    p88[EGNPCORE_PublishEvidences_trnascanse]
    p4 --> p51:::parameters --> p54 --> p55 --> p57 --> p88
    p61[BARRNAP_barrnap]
    p64[EGNPCORE_changeGff3CoordinatesBatch]
    p65[GENOMETOOLS_sortGff3]
    p67[EGNPCORE_splitByStrand]
    p97[EGNPCORE_PublishEvidences_barrnap]
    p4 --> p61:::parameters --> p64 --> p65 --> p67 --> p97
    p71[INFERNAL_rfamscan]
    p74[EGNPCORE_changeGff3CoordinatesBatch]
    p75[GENOMETOOLS_sortGff3]
    p77[EGNPCORE_splitByStrand]
    p106[EGNPCORE_PublishEvidences_rfamscan]
    p3 --> p71:::parameters --> p74 --> p75 --> p77 --> p106
    p106 --> p100
    p97 --> p100
    p88 --> p100
    p28 --> p100
    p47 --> p100
```

Parameters:

```java
    windowMaxLen            = 2000000
    windowOverlapLen        = 10000
    /*for fast steps (barrnap, trnascanse, ltrharvest, blatx repeats)
     multiply windowMaxLen by this value */
    largeWindowFactor       = 50
  
    //SKIP STEPS
    skip_trnascan           = false
    skip_rfamscan           = false
    skip_barrnap            = false
    skip_ncrna_detection    = false
    skip_repeat_masking     = false
    skip_red                = false

    //RED param
    red_param               = '-len 16 -frm 2 -min 6'
    red_minlen              = 500
    red_mergingdistance     = 100
```
