## TRAINING WORKFLOW

```mermaid
flowchart TD
    classDef parameters fill:#f96;
    p0((genome))
    p2((raw\nGmap\nResults))
    p3((reference\nProteome))
    p4((reference\nTranscriptome))
    p5((matrix))
    p6{Distribute}
    p7((Non\nCanonical\nConf))
    p52[EGNPCORE_selectTranscriptsPerSlice]
    p56[EGNPCORE_ConcatGff3]
    p59[EGNPCORE_selectTranscripts]
    p2 --> p52:::parameters --> p56 --> p59:::parameters --> p67:::parameters --> p71 --> p6 --> p79
    p67[LIPMUTILS_fastaFilterIdsAndMinLen]
    p71[LIPMUTILS_splitSingleDB]
    p76[BLAST_makeblastdb]
    p79[BLASTX_alignForTraining]
    p83[EGNPCORE_filterHspsForExtractCDS]
    p86[EGNPCORE_CatGzip]
    p91[EGNPCORE_extractCDSFromBlastx]
    p98[GMAP_map]
    p103[GMAP_concat]
    p106[EGNPCORE_BuildTrainingDataSets]
    p107[EGNPCORE_DetectNonCanSites]
    p110[EGNPCORE_FastaTotrainIMM]
    p111[EUGENE_trainIMM]
    p3 --> p76 --> p6 
    p79:::parameters --> p83:::parameters --> p86 --> p91 --> |cdsModel|p111 --> p5
    p0 --> p98
    p4 --> p98 --> p103 --> p106 --> p107 --> p7
    p106 --> p110 --> |intronsModel|p111
```

Parameters:

```java
//TRAINING
  training_min_est_mapped = 50
  training_use_gmap_cds = false
  cdhit_cds_identity = 0.99
  cdhit_cds_span = 0.99
  
  
  build_training_dataset_param  = ''
  // Blastx filters  (Blast the reference proteome against the reference trancriptome)
  // hsp_training_length amino acid number!
  hsp_training_splitsize  = 1000
  hsp_training_length     = 100
  hsp_training_pci        = 50
  hsp_training_evalue     = 0.000001
  hsp_training_min_nb     = 300
  hsp_training_blastx_param = '-outfmt 6 -evalue 0.000001 -gapopen 9 -gapextend 2 
                              -max_target_seqs 500000 -max_hsps 2 -max_intron_length 15000 -seg yes'
  
  /* Mapping filters (Map the reference transcriptome to the genome, then filter results)
   Intronic sequences are extracted and used to build intronic IMM models */
  training_est_pcs  = 99
  training_est_pci  = 99
  training_est_remove_unspliced = 1
  
  /* Only use for Full Length (FL) transcriptome (est_priority value >=2)
   EuGene regards the regions flanking FL transcript alignments as intergenic regions.
  FL_flanking_region_length is the length of that regions.*/
  FL_flanking_region_length = 20

  /*SPLICE SITES
   A non canonical splice site is allowed if present more than X percent compared to the canonical sites 
   Default value 1% choosen with Arath training data*/
  noncansite_required_percent = 0.5
  //Maximum number of non canonical spice site detected
  max_noncansite_candidate_nb = 10
  noncanacc = ''
  noncandon = ''

 //EuGene Parameters
 eugene_params = ''
```
