## REPEATS SEARCH

```mermaid
flowchart TD
	classDef parameters fill:#f96;
    p0((pseudomolecules))
    p1((masking\nEvidences))
    p2((Repeats))
    p3((Repeats\nIndex))
    p4{Distribute}
    p5((repeats\nEvidences))
    p318[EGNPCORE_MaskFromLtrHarvest]
    p321[EGNPCORE_MaskFromRed]
    p327[EGNPCORE_ConcatFasta]
    p0 --> p4
    p1 --> p4 --> |ltrharvestEvidences|p318 --> p327
    p4 --> |redEvidences|p321 --> p327
    p2 --> p336
    p3 --> p336
    p327 --> |largeWindows|p329:::parameters --> p330 --> p336:::parameters --> p339 --> p340 --> p5
    p329[LIPMUTILS_fasta2overlappingwins]
    p330[LIPMUTILS_fasta2tree]
    p336[BLASTX_Repeats]
    p339[EGNPCORE_changeBlastxCoordinatesBatch]
    p340[LIPMUTILS_m8RepeatToGff3]
```

Parameters:

```java
/* Method for the protein similarity search. Allowed values are:
    - ublast_blastx  First perform a protein database reduction with ublast from usearch.
    - diamond_blastx First perform a protein database reduction with diamond. 
 Then launch classical blastx search against the reduced db.
*/

protein_similarity_search_method = 'diamond_blastx'
blastx_param = '-outfmt 6 -evalue 0.000001 -gapopen 9 -gapextend 2 -max_target_seqs 500000 
                -max_intron_length 15000  -seg yes'
blastx_unique_filter = true
split_blastx_db      = true

// Used by targetedblastsearch program
prg_targetedblastsearch_param = '--db_length 1000000000'
prg_usearch_ublast_param      = '-evalue 1 -lopen 9 -lext 2 -accel 1'
prg_diamond_param             = '--sensitive --evalue 1 --gapopen 9 --gapextend 2 --masking 0
                                 --comp-based-stats 0 --block-size 0.4'
```
