nextflow.enable.dsl=2

process RED_scan {
	label "process_medium"
    
	input:
	path(infile)

	output:
	path("out/${infile.baseName}.${source}.bed")

	script:
	source = 'red'

	if (params.skip_red)
	{
		"""
		mkdir -p out
		echo "#skip_red" > out/${infile.baseName}.${source}.bed
		"""
	}
	else
	{
	"""
	mkdir input && cd input && cut -d ' ' -f1 ../${infile} > seq.fa && cd ..
	mkdir -p out
	Red ${params.red_param} -gnm input -cor ${task.cpus} -rpt out
	perl -ne 'chomp;  @a_ = split(/\\t/); (\$chr) = \$a_[0] =~ /^(\\S+)\\s*/;print "\$chr\\t\$a_[1]\\t\$a_[2]\\n";' out/seq.bed > out/${infile.baseName}.${source}.bed
	"""
	}
}

process RED_softwaresInfo {
	output:
	path("red.softwares_info.tsv")

	script:
	"""
	softwares_info > red.softwares_info.tsv
	"""
}