nextflow.enable.dsl=2

include { GENOMETOOLS_ltrharvest;GENOMETOOLS_sortGff3 } from '../software/genometools/main.nf'
include { EGNPCORE_justPublish;EGNPCORE_changeGff3CoordinatesBatch }  from '../software/egnpcore/main.nf'


workflow ltrharvest {

	take: overlappingSequenceCh
	main:
		
		def source = 'ltrharvest'
		outFiles = GENOMETOOLS_ltrharvest(overlappingSequenceCh)
		outFilesTuples = outFiles.map {	t -> 
			def seqid = t.get(0).split(":").first()
			def file = t.get(1)
			tuple (seqid,source, file)
		}
		outFilesRelocateMergedTuples = EGNPCORE_changeGff3CoordinatesBatch (outFilesTuples.groupTuple(by:[0,1]))
		outFilesTuples = GENOMETOOLS_sortGff3(outFilesRelocateMergedTuples)
		if (params.publish_workdir)
		{
			files = EGNPCORE_justPublish(outFilesTuples)
			ok = files.collect()
		}
	emit: outFilesTuples
}
