nextflow.enable.dsl=2

include { BARRNAP_softwaresInfo } from '../software/barrnap/main.nf'
include { BEDTOOLS_softwaresInfo } from '../software/bedtools/main.nf'
include { CDHIT_softwaresInfo } from '../software/cdhit/main.nf'
include { GMAP_softwaresInfo } from '../software/gmap/main.nf'
include { RED_softwaresInfo } from '../software/red/main.nf'
include { GENOMETOOLS_softwaresInfo } from '../software/genometools/main.nf'
include { INFERNAL_softwaresInfo } from '../software/infernal/main.nf'
include { BLAST_softwaresInfo } from '../software/blast/main.nf'
include { LIPMUTILS_softwaresInfo } from '../software/lipmutils/main.nf'
include { TRNASCANSE_softwaresInfo } from '../software/trnascanse/main.nf'
include { EUGENE_softwaresInfo } from '../software/eugene/main.nf'
include { EGNPCORE_softwaresInfo } from '../software/egnpcore/main.nf'
include { BIOFILECONVERTER_softwaresInfo } from '../software/biofileconverter/main.nf'
include { BUSCO_softwaresInfo } from '../software/busco/main.nf'


workflow softwares_info {

    main:
    infos = BARRNAP_softwaresInfo()
    infos = infos.concat(BEDTOOLS_softwaresInfo())

    infos = infos.concat(CDHIT_softwaresInfo())
    infos = infos.concat(GMAP_softwaresInfo())
    infos = infos.concat(RED_softwaresInfo())
    infos = infos.concat(GENOMETOOLS_softwaresInfo())
    infos = infos.concat(INFERNAL_softwaresInfo())
    infos = infos.concat(BLAST_softwaresInfo())
    infos = infos.concat(LIPMUTILS_softwaresInfo())
    infos = infos.concat(TRNASCANSE_softwaresInfo())
    infos = infos.concat(EUGENE_softwaresInfo())
    infos = infos.concat(EGNPCORE_softwaresInfo())
    infos = infos.concat(BIOFILECONVERTER_softwaresInfo())
    infos = infos.concat(BUSCO_softwaresInfo())

    mergeInfos(infos.collect())


}


process mergeInfos {

    publishDir("${params.tracedir}", mode: "copy")
    
    input:
    path(files)

    output:
    path("softwares_info.tsv")

    script:
    """
    (grep -h '^#' ${files} | sort -u; grep -h -v '^#' ${files} | sort -u) > softwares_info.tsv
    """
}